import { GlobalAppBarContext } from "@ess-ics/ce-ui-common";
import { useContext, useEffect } from "react";
import { applicationTitle } from "../../components/common/Helper";
import { CreateIOC } from "../../components/IOC/CreateIOC";

export const CreateIOCView = () => {
  const { setTitle } = useContext(GlobalAppBarContext);
  useEffect(() => setTitle(applicationTitle("Create IOC")), [setTitle]);

  return <CreateIOC />;
};
